Get Transactions
GET
History of deposit activity for a virtual account
header
X-Api-Key<token>API key in format: sti_env_prefix_secret
customerId*stringCustomer UUID
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidvirtualAccountId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuiddeposit_id?stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidlimit?integerRange
1 <= value <= 100Default
10starting_after?stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidending_before?stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidDefault Response
application/json- response
data*array<>has_more*booleancurl -X GET 'https://api.sandbox.stables.money/api/v1/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/virtual-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/history'Example Response
{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "virtual_account_id": "9c140f64-32a3-4085-9090-9aaa998daf87", "deposit_amount": "string", "deposit_currency": "string", "sender_name": "string", "sender_reference": "string", "handling_mode": "auto_payout", "payout_status": "pending", "payout_amount": "string", "payout_currency": "string", "payout_network": "string", "payout_address": "string", "payout_transaction_hash": "string", "payout_completed_at": "2019-08-24T14:15:22Z", "platform_fee_amount": "string", "platform_fee_currency": "string", "platform_fee_swept": true, "conversion_fee": "string", "processing_fee": "string", "withdrawal_fee": "string", "developer_fee": "string", "customer_rate": "string", "deposited_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "compliance_hold": { "rfi_id": "67dff3e5-8fe4-4fc3-bd34-9ccc65996247", "reasons": [ { "reason_code": "string", "description": "string" } ], "requirements": [ { "type": "KYC_CAPABILITY", "required_capability": "string", "required_level": "string", "suggested_level": "string", "required_evidence": "string", "requirement_id": "6bcf6ec7-61c3-4af0-a310-59616a4dac61", "status": "missing" } ] }, "failure": { "code": "AMOUNT_BELOW_MINIMUM", "message": "string" } } ], "has_more": true}